# BSplCLib_KnotDistribution.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | BSplCLib_KnotDistribution { BSplCLib_NonUniform, BSplCLib_Uniform }
| this is a one dimensional function typedef void (*EvaluatorFunction) ( Standard_Integer // Derivative Request Standard_Real * // StartEnd[2] Standard_Real // Parameter Standard_Real & // Result Standard_Integer &) ;// Error Code serves to multiply a given vectorial BSpline by a function //! enumerations More...

## Enumeration Type Documentation

enum BSplCLib_KnotDistribution

Enumeration values:

  BSplCLib_NonUniform |
  BSplCLib_Uniform |